> For the complete documentation index, see [llms.txt](https://docs.keyfax.biz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keyfax.biz/integrations/apis/soap.md).

# SOAP API

- [Quick Start](https://docs.keyfax.biz/integrations/apis/soap/quick-start.md): A guide to help you get up & running with the Keyfax SOAP API.
- [Error Handling](https://docs.keyfax.biz/integrations/apis/soap/error-handling.md): Error handling details related to the Keyfax SOAP based web services.
- [Status Codes](https://docs.keyfax.biz/integrations/apis/soap/status-codes.md): Status Codes returned by Keyfax upon script completion.
- [XML Schemas](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas.md)
- [Startup Schema](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas/startup-schema.md): All the supported start-up data supported by Keyfax.
- [Results Schema](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas/results-schema.md): Details the export information generated by a Keyfax session.
- [Results with Note](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas/results-with-note.md): This sample illustrates an export schema with notes.
- [Cancelled  Schema](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas/cancelled-schema.md): The default cancellation schema for a Keyfax session.
- [Address data](https://docs.keyfax.biz/integrations/apis/soap/xml-schemas/address-data.md): How addresses are represented within Keyfax.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/soap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
